Subject: Re: bug#75530: [PATCH v2 2/3] Remap read-only-mode for Occur modes (bug#75530)

From: Howard Melman <[email-masked]>
Date: Wed, 5 Feb 2025 07:56:39 -0500

The following message is a courtesy copy of an article
that has been posted to gmane.emacs.bugs as well.

Juri Linkov <[email-masked]> writes:

>>> Maybe we need to revert this change and find another solution.
>>
>> Seeing as nobody seemed to notice or care that this use case was broken
>> for three years and two major releases
>
> I think many people noticed this regression as I did, but the problem is that
> it takes too much time to analyze bug#53419 and find another solution,
> but there were many other more urgent things to do.

As I said in Emacs bug#16214 my preferred solution is to
leave C-x C-q as is in all three modes and to standardize on
e to enter the editable mode and C-c C-c to leave it.

C-c C-c already does this in all three modes and e does this
in occur and when I last looked was unbound in grep.  The
problem the last time was dired has e bound to
dired-find-file but that command is already bound to f to
and RET, so IMHO changing it for e is not a big deal (and of
course I do that in my personal config).  The argument last
time was that changing a binding was too much, but I think
that's weakened now as this patch did it.

And I think the muscle memory problem is improved because e
would work in all three modes as opposed to different modes
have different ways to enter the editable versions (that's
been my experience).

[I read this list in gnus via gmame, I've always just used F
to Followup. For this message I've manually put To and Cc
headers in. Is there a better way?]

-- 

Howard